Page MenuHome

Fluid collision doesnť work for objects with armature modifier while "preserve volume" option is checked
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.18362 64 Bits
Graphics card: GeForce GTX 1060 6GB/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 436.48

Blender Version
Broken: version: 2.80 (sub 75), branch: master, commit date: 2019-07-29 14:47, hash: rBf6cb5f54494e
Worked: (optional)

Short description of error
Described in title. Found out after switching from 2.79, fluid stopped colliding with rigged character for no reason.

Exact steps for others to reproduce the error
Open appended file. Try baking the simulation while "preserve volume" option is on and off, see different results.

Event Timeline

There are plans to redo the physics system in blender. And this problem will surely be addressed.
@Sebastián Barschkis (sebbas), can you check if the same problem is seen in mantaflow?

Yes, just tried it out in the fluid-mantaflow (rBa937bb8b0ddc) branch and it seems to work without any issues. Fluid collides with obstacle while "preserve volume" is checked.

So I guess this bug will become "obsolete" in the near future.

Germano Cavalcante (mano-wii) changed the task status from Unknown Status to Unknown Status.Oct 8 2019, 2:37 PM

Good news :)

Dalai Felinto (dfelinto) changed the task status from Unknown Status to Unknown Status.Oct 9 2019, 1:47 PM
Dalai Felinto (dfelinto) lowered the priority of this task from 90 to Low.

Leave it open until mantaflow is merged in master. It helps other people find already reported issues this way.

Sebastián Barschkis (sebbas) closed this task as Resolved.EditedJan 20 2020, 3:04 PM

Closing this as Mantaflow was merged into master and the old fluid system is no longer supported.